<%@ page contentType="image/jpeg"
         import="javax.imageio.ImageIO,java.awt.*,java.awt.image.BufferedImage,java.util.Random" %>
<%!
    Color getRandColor(int fc, int bc) {
        Random random = new Random();
        if (fc > 255) fc = 255;
        if (bc > 255) bc = 255;
        int r = fc + random.nextInt(bc - fc);
        int g = fc + random.nextInt(bc - fc);
        int b = fc + random.nextInt(bc - fc);
        return new Color(r, g, b);
    }
%>
<%
    response.setHeader("Pragma", "No-cache");
    response.setHeader("Cache-Control", "no-cache");
    response.setDateHeader("Expires", 0);
    ServletOutputStream os = response.getOutputStream();
    int width = 60, height = 33;
    BufferedImage image = null;
    Graphics g = null;
    try {
        image = new BufferedImage(width, height, BufferedImage.TYPE_INT_RGB);

        g = image.getGraphics();

        Random random = new Random();

        g.setColor(getRandColor(200, 250));
        g.fillRect(0, 0, width, height);

        g.setFont(new Font("Times New Roman", Font.PLAIN, 18));

        g.setColor(new Color(255, 255, 255));
        g.drawRect(0, 0, width - 1, height - 1);

        g.setColor(getRandColor(160, 200));
        for (int i = 0; i < 155; i++) {
            int x = random.nextInt(width);
            int y = random.nextInt(height);
            int xl = random.nextInt(12);
            int yl = random.nextInt(12);
            g.drawLine(x, y, x + xl, y + yl);
        }

        String sRand = "";
        for (int i = 0; i < 4; i++) {
            String rand = String.valueOf(random.nextInt(10));
            sRand += rand;
            g.setColor(new Color(20 + random.nextInt(110), 20 + random.nextInt(110), 20 + random.nextInt(110)));
            g.drawString(rand, 13 * i + 6, 22);
        }
        System.out.println(sRand);
        session.setAttribute("registerImgCode", sRand);

        ImageIO.write(image, "JPEG", os);
    } catch (Exception ex) {
        ex.printStackTrace();
    } finally {
        g.dispose();
        if (os != null) {
            out.clear();
            out = pageContext.pushBody();
            os.close();
        }
    }
%>